#27 2.6.7 does not compile on Darwin/MacOSX pty.h missing ...

Ripperx 2.6
open
nobody
None
5
2006-01-24
2006-01-24
Anonymous
No

Hello!

I tried rather hard to compile and install RipperX on MacOSX/Darwin. I
think I installed all the needed components before. But it misses pty.h.
So I thought this might have to do something with SSH, so I installed
the source of OpenSSH as well ... no chance.

Is it in principle possible to install on Darwin?

Thanks, Gilbert

gilles77@tiscali.ch

make
make -C src
gcc -g -O2 -I/sw/include/gtk-1.2 -I/sw/include/glib-1.2 -I/sw/lib/
glib/include -I/usr/X11R6/include -c main.c
main.c: In function 'ripperX_init':
main.c:19: warning: incompatible implicit declaration of built-in
function 'memset'
gcc -g -O2 -I/sw/include/gtk-1.2 -I/sw/include/glib-1.2 -I/sw/lib/
glib/include -I/usr/X11R6/include -c err_dialog_handler.c
gcc -g -O2 -I/sw/include/gtk-1.2 -I/sw/include/glib-1.2 -I/sw/lib/
glib/include -I/usr/X11R6/include -c config_rw.c
gcc -g -O2 -I/sw/include/gtk-1.2 -I/sw/include/glib-1.2 -I/sw/lib/
glib/include -I/usr/X11R6/include -c ripper_encoder_manipulation.c
ripper_encoder_manipulation.c:14:17: error: pty.h: No such file or
directory
make[1]: *** [ripper_encoder_manipulation.o] Error 1
make: *** [src] Error 2

Discussion


Log in to post a comment.